Bug 740309 - [abrt] wicd-gtk-1.7.0-8.fc15: netentry.py:728:add_profile:AttributeError: 'NoneType' object has no attribute 'strip'
Summary: [abrt] wicd-gtk-1.7.0-8.fc15: netentry.py:728:add_profile:AttributeError: 'No...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wicd
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3de52d37071c59991e51db548e0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 15:20 UTC by alain.thiaville
Modified: 2012-04-25 15:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-25 15:36:58 UTC


Attachments (Terms of Use)

Description alain.thiaville 2011-09-21 15:20:15 UTC
abrt version: 2.0.3
architecture:   i686
cmdline:        /usr/bin/python -O /usr/share/wicd/gtk/wicd-client.py
component:      wicd
executable:     /usr/share/wicd/gtk/wicd-client.py
kernel:         2.6.40.3-0.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        wicd-gtk-1.7.0-8.fc15
reason:         netentry.py:728:add_profile:AttributeError: 'NoneType' object has no attribute 'strip'
time:           Sat Aug 20 11:10:04 2011
uid:            0
username:       root

backtrace:
:netentry.py:728:add_profile:AttributeError: 'NoneType' object has no attribute 'strip'
:
:Traceback (most recent call last):
:  File "/usr/share/wicd/gtk/netentry.py", line 728, in add_profile
:    "profiles.", "Profile name:").strip()
:AttributeError: 'NoneType' object has no attribute 'strip'
:
:Local variables in innermost frame:
:widget: <gtk.Button object at 0xa22102c (GtkButton at 0xa251660)>
:self: <WiredNetworkEntry object at 0xa20abe4 (GtkHBox at 0xa2baf18)>

comment:
:rpm package : wicd-gtk-1.7.0-9.fc15.noarch
:reproductible : yes (see below) :
:[ath@mobilix ~]$ /usr/bin/python -O /usr/share/wicd/gtk/wicd-client.py
:Has notifications support True
:Loading...
:Connecting to daemon...
:Connected.
:displaytray True
:Done loading.
:/usr/share/wicd/gtk/gui.py:162: GtkWarning: IA__gtk_toolbar_set_icon_size: assertion `icon_size != GTK_ICON_SIZE_INVALID' failed
:  self.wTree = gtk.glade.XML(gladefile)
:/usr/share/wicd/gtk/gui.py:770: GtkWarning: IA__gdk_window_get_root_coords: assertion `GDK_IS_WINDOW (window)' failed
:  gtk.main_iteration()
:refreshing...
:ESSID : SFR_60E8
:ESSID : SFR WiFi Public
:/usr/share/wicd/gtk/wicd-client.py:1028: GtkWarning: IA__gdk_window_get_root_coords: assertion `GDK_IS_WINDOW (window)' failed
:  mainloop.run()
:removing profile
:Traceback (most recent call last):
:  File "/usr/share/wicd/gtk/netentry.py", line 728, in add_profile
:    "profiles.", "Profile name:").strip()
:AttributeError: 'NoneType' object has no attribute 'strip'

Comment 1 David Cantrell 2012-02-14 13:52:39 UTC
Is this still happening on Fedora 16 with the latest wicd update?

Comment 2 alain.thiaville 2012-02-15 21:04:16 UTC
Yes : latest is  wicd-gtk-1.7.0-9.fc16.noarch but file netentry.py not modified => same problem . Herafter a segmentation fault in the D-bus side of the programm:

[ath@mobilix ~]$ /usr/bin/python -O /usr/share/wicd/gtk/wicd-client.py
Has notifications support True
Loading...
Connecting to daemon...
Connected.
displaytray True
Done loading.
/usr/share/wicd/gtk/wicd-client.py:1028: GtkWarning: IA__gdk_window_get_root_coords: assertion `GDK_IS_WINDOW (window)' failed
  mainloop.run()
/usr/share/wicd/gtk/gui.py:162: GtkWarning: IA__gtk_toolbar_set_icon_size: assertion `icon_size != GTK_ICON_SIZE_INVALID' failed
  self.wTree = gtk.glade.XML(gladefile)
refreshing...
ESSID : SFR_60E8
refreshing...
ESSID : SFR_60E8
removing profile
refreshing...
ESSID : SFR_60E8
removing profile
ERROR:dbus.connection:Unable to set arguments (None,) according to signature u'v': <type 'exceptions.TypeError'>: Don't know how which D-Bus type to use to encode type "NoneType"
Traceback (most recent call last):
  File "/usr/share/wicd/gtk/netentry.py", line 778, in toggle_default_profile
    wired.SaveWiredNetworkProfile(self.combo_profile_names.get_active_text())
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 620, in call_blocking
    message.append(signature=signature, *args)
TypeError: Don't know how which D-Bus type to use to encode type "NoneType"
ERROR:dbus.connection:Unable to set arguments (None,) according to signature u'v': <type 'exceptions.TypeError'>: Don't know how which D-Bus type to use to encode type "NoneType"
Traceback (most recent call last):
  File "/usr/share/wicd/gtk/netentry.py", line 778, in toggle_default_profile
    wired.SaveWiredNetworkProfile(self.combo_profile_names.get_active_text())
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 620, in call_blocking
    message.append(signature=signature, *args)
TypeError: Don't know how which D-Bus type to use to encode type "NoneType"
ERROR:dbus.connection:Unable to set arguments (None,) according to signature u'v': <type 'exceptions.TypeError'>: Don't know how which D-Bus type to use to encode type "NoneType"
Traceback (most recent call last):
  File "/usr/share/wicd/gtk/netentry.py", line 778, in toggle_default_profile
    wired.SaveWiredNetworkProfile(self.combo_profile_names.get_active_text())
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 620, in call_blocking
    message.append(signature=signature, *args)
TypeError: Don't know how which D-Bus type to use to encode type "NoneType"
ERROR:dbus.connection:Unable to set arguments (None,) according to signature u'v': <type 'exceptions.TypeError'>: Don't know how which D-Bus type to use to encode type "NoneType"
Traceback (most recent call last):
  File "/usr/share/wicd/gtk/netentry.py", line 778, in toggle_default_profile
    wired.SaveWiredNetworkProfile(self.combo_profile_names.get_active_text())
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 620, in call_blocking
    message.append(signature=signature, *args)
TypeError: Don't know how which D-Bus type to use to encode type "NoneType"
ERROR:dbus.connection:Unable to set arguments (None,) according to signature u'v': <type 'exceptions.TypeError'>: Don't know how which D-Bus type to use to encode type "NoneType"
Traceback (most recent call last):
  File "/usr/share/wicd/gtk/gui.py", line 658, in edit_advanced
    if self.run_settings_dialog(dialog, ttype, networkid, networkentry):
  File "/usr/share/wicd/gtk/gui.py", line 671, in run_settings_dialog
    if self.save_settings(nettype, networkid, networkentry):
  File "/usr/share/wicd/gtk/gui.py", line 640, in save_settings
    if not networkentry.save_wired_settings():
  File "/usr/share/wicd/gtk/netentry.py", line 703, in save_wired_settings
    return self.advanced_dialog.save_settings()
  File "/usr/share/wicd/gtk/netentry.py", line 340, in save_settings
    wired.SaveWiredNetworkProfile(self.prof_name)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 620, in call_blocking
    message.append(signature=signature, *args)
TypeError: Don't know how which D-Bus type to use to encode type "NoneType"
Erreur de segmentation (core dumped)

As shown by the backtrace, It is caused by a wrong None Python type returned in
this file netentry.py . The right result is the zero length string aka ''.

Comment 3 alain.thiaville 2012-03-01 11:46:54 UTC
always present: in wicd-gtk-1.7.0-10.fc16.noarch.
the proposed patch in 740256 comment #3  would correct the "Description" bug but
not the one in comment 2 which is more severe (core dumped).
I lookd at it but not now. I am in holidays, after all and my french mountain: (Les Vosges) are calling me.

Comment 4 David Cantrell 2012-03-26 19:31:37 UTC
Can you please attach your proposed patches as unified diffs (diff -u)?  I want to make sure I am getting everything you are proposing and it is difficult to follow in Bugzilla comments.

Comment 5 David Cantrell 2012-04-25 15:36:58 UTC
Closing this out because it's been a month with no update.  Please feel free to reopen if you can provide the information requested in comment #4.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.